Subject: bug#10007: 24.0.50; wrong-type-argument stringp nil in *Occur*

From: "Drew Adams" <[email-masked]>
Date: Wed, 9 Nov 2011 18:42:51 -0800

> > self-insert-command: Wrong type argument: stringp, nil
> 
> I cannot reproduce it as described.

Really?  Are you using the same build?
It's 100% reproducible here, with the build I cited, following the recipe I
described.

I forgot to mention that you must provide a pattern to `occur' that some file
names match, so the occur buffer is not empty.  Doing that, following the recipe
should give you the same behavior I reported.

What do _you_ see, when you insert a char in Occur after killing the Dired
buffer it was built from?  Try again, with the same build - I'm sure you'll see
what I described.